## ifupdown 0.7.44ubuntu3.1

=== debian/changelog ===
ifupdown (0.7.44ubuntu3.1) saucy-proposed; urgency=medium

  * Fix network-interface upstart job to bring up allow-hotplug devices.
    (LP: #1307429)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 08 May 2014 16:52:07 +0200

ifupdown (0.7.44ubuntu3) saucy; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fb3055c2c4f0)
    for a regression introduced by a93db3ecb8f0. LP: #1226067

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 16 Sep 2013 11:10:08 -0500

ifupdown (0.7.44ubuntu2) saucy; urgency=low

  * On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified conffile
    may have a mismatch in the dpkg database and manually shuffle the file
    around on upgrade.  LP: #1217263.

  [ Chris Arges ]
  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/a93db3ecb8f0)
    for a race condition when updating the state file.  LP: #1160490

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Sep 2013 06:43:53 +0000

ifupdown (0.7.44ubuntu1) saucy; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Aug 2013 16:56:45 -0400

ifupdown (0.7.44) unstable; urgency=low

  * Convert from noweb to plain C (Closes: #707209).
  * Don't bring down VLANned aliases (Closes: #711449).
  * Initialise 'verbose' variable (Closes: #710301).
  * Handle relative paths properly (Closes: #712909).
    Now non-absolute paths are understood relatively to the file
    they're sourced from.
  * Update RFC number (Closes: #717520).
  * Add source-directory directive.
  * Use source-directory in the default interfaces file.
  * Remove loopback interface from the manpage example.
  * Update the manpages (Closes: #711012).
  * Depend on iproute2 instead of iproute (Closes: #713825).
  * Recommend ISC DHCP client, at the same time declare Breaks against
    dhcp3-client earlier than 4.0, as it has incompatible syntax.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 08 Aug 2013 21:55:27 +0200

ifupdown (0.7.43) unstable; urgency=low

  * Don't consider multiple auto declarations an error (Closes: #707052).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 07 May 2013 09:41:18 +0200

ifupdown (0.7.42) unstable; urgency=low

  * Fix syntax issue with postinst (Closes: #707041).
  * Fix cross-build.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 07 May 2013 08:09:32 +0200

ifupdown (0.7.41) unstable; urgency=low

  * Upload to unstable.
  * Don't release DHCPv6 leases in inet6/auto for a while (Closes: #703922).
  * Remove "tryonce" option introduced in 0.7.40.
  * Don't call dhclient with -1 for now.
  * Remove ISC DHCP client from Build-Depends.
  * Assign logical interface name for link pseudointerface on down
    (Closes: #705268).
  * Add implicit loopback device definition.
  * Enable sourcing /etc/network/interfaces.d/* in the default configuration.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 11 Apr 2013 21:44:23 +0200

ifupdown (0.7.40) experimental; urgency=low

  [ Andrew Shadura ]
  * Don't configure bridge interfaces as tagged VLAN interfaces
    (Closes: #696642).
  * Add "tryonce" option to DHCP-enabled methods (Closes: #694541).
  * Implement inet6/auto for kFreeBSD, call DHCP release of ifdown
    on Linux (Closes: #701884).
  * Update manual pages.
  * Add tests for DHCP method.
  * Add ISC DHCP client to Build-Depends (the tests don't actually run
    the DHCP client, however).

  [ Stéphane Graber ]
  * Patches for upstart support from Ubuntu:
    - Start the job on runlevel [2345]. This is a no-op during a normal
      boot since the network will be started *before* runlevel is emitted,
      but is needed to restart the network after a change from runlevel 1
      (LP: #752481).
    - Don't bring 'lo' down (add it to --exclude).
    - Emit deconfiguring-networking (LP: #1061639).
    - Update network-interface-security job to stop when the parent job is
      stopped itself. This avoids leftover instances (LP: #1065684).
  * Set MTU of tunnel devices (LP: #1074048).
  * Actually set the new calculated value for duplicate entries
    (LP: #1086517).

  [ Josselin Mouette ]
  * postinst: Do not create /etc/network/interfaces if it was removed manually
    (Closes: #695906)

 -- Andrew Shadura <bugzilla@tut.by>  Mon, 04 Mar 2013 21:56:39 +0100

ifupdown (0.7.5ubuntu4) saucy; urgency=low

  * Due to the checkered history of /etc/init.d/networking, only remove the
    upstart-job symlink in the preinst if the dpkg status is 'newconffile',
    to avoid bogus conffile prompts on upgrade, and manually manipulate the
    new conffile into place in the postinst.  LP: #1181856.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 May 2013 19:05:31 +0000

ifupdown (0.7.5ubuntu3) saucy; urgency=low

  * Restore lsb-base and init_is_upstart now that the new lsb-base is in
    Ubuntu.
  * Explicitly invoke update-rc.d for networking in the postinst (and
    postrm): we will need this in the sequence in order to be able to use
    insserv later.


## ifupdown 0.7.47.2ubuntu4

=== debian/changelog ===
ifupdown (0.7.47.2ubuntu4) trusty; urgency=medium

  * Update the previous fix to actually apply to the upgrade path we
    care about, saucy to trusty. (LP: #1283274)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Apr 2014 22:15:20 -0400

ifupdown (0.7.47.2ubuntu3) trusty; urgency=medium

  * Fix the preinst to match the current networking.init. (LP: #1283274)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Apr 2014 17:34:53 -0400

ifupdown (0.7.47.2ubuntu2) trusty; urgency=medium

  [ Stéphane Graber ]
  * Allow setting the MTU and HWADDR on manual interfaces. (LP: #1294807)
  * The above change also means that manual interfaces will now be
    brought up and down (ias many users expected until now).
  * Disable link.defn as it's not covering all the cases supported by
    the vlan and bridge hooks and so causes more harm than good at this
    point. (LP: #1295304)
  * Also enable network-interface-container for OpenVZ. (LP: #1294155)
  * Update networking.init to exit 1 on reload when on an upstart system.
  * Pass --force to ifdown in network-interface to silence errors on
    non-existing interfaces. (LP: #1295620)

  [ Dimitri John Ledkov ]
  * Prevent the ability to stop or restart networking service
    interactively. As that is not supported. Networking job is only stopped
    during shutdown sequence. (LP: #1072518)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 19 Mar 2014 18:04:49 -0400

ifupdown (0.7.47.2ubuntu1) trusty; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified
      conffile may have a mismatch in the dpkg database and manually
      shuffle the file around on upgrade.  LP: #1217263.
    - Fix testbuild.linux (missing settle-dad.sh)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Jan 2014 16:48:32 -0500

ifupdown (0.7.47.2) unstable; urgency=low

  * Rebuild to avoid useless dependencies on sysv-rc and file-rc.
  * Don't pass deprecated arguments to update-rc.d.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 06 Jan 2014 21:23:03 +0100

ifupdown (0.7.47.1ubuntu1) trusty; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified
      conffile may have a mismatch in the dpkg database and manually
      shuffle the file around on upgrade.  LP: #1217263.
    - Fix testbuild.linux (missing settle-dad.sh)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 02 Dec 2013 18:00:44 -0500

ifupdown (0.7.47.1) unstable; urgency=low

  * Depend on adduser (Closes: #730598).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 27 Nov 2013 08:24:41 +0100

ifupdown (0.7.47) unstable; urgency=low

  * Don't use hardlinks for ifdown and ifquery.
  * Remove Petter from the Uploaders.
  * Ensure netdev group exists.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 26 Nov 2013 08:27:29 +0100

ifupdown (0.7.46.1ubuntu1) trusty; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified
      conffile may have a mismatch in the dpkg database and manually
      shuffle the file around on upgrade.  LP: #1217263.
  * Fix testbuild.linux (missing settle-dad.sh)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 14 Nov 2013 16:21:04 -0500

ifupdown (0.7.46.1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -D'IFUPDOWN_VERSION="$(VERSION)"'
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
ifeq "$(origin CC)" "default"
export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
endif
export ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DESTDIR := debian/$(shell dh_listpackages)

ifeq "$(ARCH)" "kfreebsd"
CFLAGS += -D'LO_IFACE="lo0"'
endif

%:
	dh $@

override_dh_auto_configure:
	chmod a+rx makecdep.sh makenwdep.sh

override_dh_installinit:
	dh_installinit --name=networking --noscripts
	dh_installinit --name=network-interface-container --noscripts
	dh_installinit --name=network-interface-security --noscripts
	dh_installinit --name=network-interface --noscripts

override_dh_installifupdown:
	dh_installifupdown --name=upstart

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf tests/

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif
endif

override_dh_gencontrol:
ifeq ($(ARCH),linux)
	dh_gencontrol -- -V'net:Depends=iproute2' -V'net:Suggests=net-tools'
else ifeq ($(ARCH),kfreebsd)
	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
else ifeq ($(ARCH),hurd)
	dh_gencontrol -- -V'net:Depends=inetutils-tools' -V'net:Suggests='
endif

## ifupdown 0.7.47.2ubuntu4.5

=== Makefile ===
VERSION ?= 0.7
CFLAGS ?= -Wall -W -g -O2 -D'IFUPDOWN_VERSION="$(VERSION)"'
ARCH ?= linux

BASEDIR ?= $(DESTDIR)

CFILES := addrfam.c execute.c config.c main.c arch$(ARCH).c
HFILES := header.h arch$(ARCH).h
PERLFILES := defn2c.pl defn2man.pl
DEFNFILES := inet.defn ipx.defn inet6.defn can.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o meta.o link.o \
	dictionary.o iniparser.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
DEFNFILES += meta.defn link.defn

default : executables
all : executables docs

executables : ifup ifdown ifquery ifup.8 ifdown.8 ifquery.8 interfaces.5
docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf

.PHONY : executables
.PHONY : clean distclean

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln -s /sbin/ifup ${BASEDIR}/sbin/ifdown
	ln -s /sbin/ifup ${BASEDIR}/sbin/ifquery
	install -D -m 0755 settle-dad.sh $(BASEDIR)/lib/ifupdown/settle-dad.sh

clean :
	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
	rm -f ifupdown.dvi *.ps{,.gz}

distclean : clean

ifup: $(OBJ)
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(OUTPUT_OPTION)

ifdown: ifup
	ln -sf ifup ifdown

ifquery: ifup
	ln -sf ifup ifquery
interfaces.5: interfaces.5.pre $(MAN)
	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	

ifdown.8 ifquery.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@
%.8.ps: %.8
	groff -mandoc -Tps $< > $@
ifupdown.dvi: modules.eps execution.eps
ifupdown.ps: modules.eps execution.eps
ifupdown.pdf: modules.pdf execution.pdf
%.tex : %.nw
	noweave -delay -index -latex $< >$@

%.bbl : %.tex biblio.bib
	latex $<
	bibtex $(basename $<)

%.dvi : %.tex %.bbl
	latex $<
	latex $<

%.pdf : %.tex %.bbl
	pdflatex $<
	pdflatex $<

%.ps : %.dvi
	dvips -o $@ $<

%.gz : %
	gzip --best --stdout $< >$@
%.eps : %.dia
	dia --nosplash -e $@ $<

%.pdf : %.eps
	gs -q -sDEVICE=pdfwrite -dNOPAUSE -sOutputFile=$@ - < $<
%.d: %.nw makenwdep.sh
	./makenwdep.sh $< > $@
%.d: %.c makecdep.sh
	./makecdep.sh $< > $@
%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@
%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

include-deps := YES
ifneq "" "$(filter %clean,$(MAKECMDGOALS))"
include-deps := NO
endif
ifeq "clobber" "$(MAKECMDGOALS)"
include-deps := NO
endif
ifeq "$(strip $(include-deps))" "YES"
-include ifupdown.d
endif

=== debian/changelog ===
ifupdown (0.7.47.2ubuntu4.5) trusty; urgency=medium

  * We are not even reading the contents of the per-interface state files
    when running ifquery, so there is no need to lock them. Not locking
    will allow ifquery to be called recursively from ifup and ifdown.
    (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 27 Apr 2018 09:03:18 -0400

ifupdown (0.7.47.2ubuntu4.4) trusty; urgency=medium

  * Fix false-positive recursion detection. (LP: #1545302)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Wed, 17 Feb 2016 17:45:58 +0100

ifupdown (0.7.47.2ubuntu4.3) trusty; urgency=medium

  [ Martin Pitt ]
  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Tue, 12 Jan 2016 11:05:16 +0100

ifupdown (0.7.47.2ubuntu4.2) trusty; urgency=medium

  * Per-interface hierarchical locking. (LP: #1337873)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Tue, 29 Sep 2015 14:14:03 +0200

ifupdown (0.7.47.2ubuntu4.1) trusty-proposed; urgency=medium

  * Fix network-interface upstart job to bring up allow-hotplug devices.
    (LP: #1307429)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 08 May 2014 16:41:11 +0200

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9.20120410~)
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), initscripts (>= 2.88dsf-25), adduser
Recommends: isc-dhcp-client | dhcp-client
Suggests: ppp, rdnssd, ${net:Suggests}
Replaces: netbase (<< 5.0)
Breaks: netbase (<< 5.0), dhcp3-client (<< 4.0), freebsd-net-tools (<< 9.0+ds1-2) [kfreebsd-any]
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

## ifupdown 0.7.53.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,7 @@
 DEFNFILES := inet.defn ipx.defn inet6.defn can.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o meta.o link.o \
-	dictionary.o iniparser.o
+	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o meta.o link.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
 DEFNFILES += meta.defn link.defn

=== debian/changelog ===
ifupdown (0.7.53.1) unstable; urgency=medium

  * Update tests.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 13 Mar 2015 13:18:59 +0100

ifupdown (0.7.53) unstable; urgency=medium

  * Default accept_ra to 0 when gateway is set (Closes: #775660).
  * Don't try to parse a non-existing file given by wordexp (Closes: #776578).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 13 Mar 2015 08:55:42 +0100

ifupdown (0.7.52) unstable; urgency=medium

  * Fix segfault when /e/n/i can't be read. Fail only when the file
    has errors, issue a warning when it can't be opened (Closes: #774212).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 04 Jan 2015 15:21:25 +0100

ifupdown (0.7.51) unstable; urgency=medium

  [ Michael Biebl ]
  * Check the hotplug interface operstate to avoid blocking the
    boot process (Closes: #771943).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 14 Dec 2014 12:34:19 +0100

ifupdown (0.7.50) unstable; urgency=medium

  [ Andrew Shadura ]
  * Configure the loopback interface by default only if user hasn't
    defined their own loopback interface (Closes: #709378).
  * Update udhcp command-line options (Closes: #741579).
  * Fix compiler warnings.
  * Update the documentation regarding "source" keyword.

  [ Michael Biebl ]
  * Call "udev settle" explicitly before configuring any devices (Closes:
    #766943).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 29 Nov 2014 14:32:32 +0100

ifupdown (0.7.49) unstable; urgency=medium

  [ Andrew Shadura ]
  * Proper implementation of auto on kFreeBSD (Closes: #738942).
  * Don't fail on sysctl failing (Closes: #757937).
  * Accept router advertisements when using DHCPv6 (Closes: #753580).
  * Don't configure hotplug interfaces on networking start to avoid races.

  [ Stéphane Graber ]
  * Upstart job tweaks.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Sep 2014 17:39:51 +0200

ifupdown (0.7.48.1) unstable; urgency=low

  * Add --ignore-errors option.
  * Handle errors correctly during interface deconfiguration.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 23 Mar 2014 18:50:08 +0100

ifupdown (0.7.48) unstable; urgency=low

  * Ignore statuses on down, don't ignore them on up.
      When configuring an interface, it's important for all commands
      to succeed, so if anything fails, interface isn't marked as
      configured. When deconfiguring it, however, we should do our
      best we can to deconfigure it, so if something fails, that's
      not the reason to stop trying.
      Closes: #360806, #547587, #562962, #700811.
  * Disable tests for DAD.
  * Fix hurd static script with IPv6 support (Closes: #737084).
  * Support preferred lifetime setting for tunnels (Closes: #735534).
  * Provide an alternative iproute dependency to make backporting easier.
  * Default to accept_ra=2 for inet6/auto (Closes: #739993, LP: #1260241)

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 23 Mar 2014 15:03:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrew Shadura <andrewsh@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9.20120410~)
 Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/

=== debian/rules ===
--- 
+++ 
@@ -54,10 +54,12 @@
 	chmod a+rx makecdep.sh makenwdep.sh
 
 override_dh_installinit:
-	dh_installinit --name=networking --noscripts
+	dh_installinit --name=networking --no-start
+	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
 	dh_installinit --name=network-interface-container --noscripts
 	dh_installinit --name=network-interface-security --noscripts
 	dh_installinit --name=network-interface --noscripts
+	dh_installinit --name=networking --noscripts
 
 override_dh_installifupdown:
 	dh_installifupdown --name=upstart
@@ -86,7 +88,7 @@
 
 override_dh_gencontrol:
 ifeq ($(ARCH),linux)
-	dh_gencontrol -- -V'net:Depends=iproute2' -V'net:Suggests=net-tools'
+	dh_gencontrol -- -V'net:Depends=iproute2|iproute (>= 20071016-1)' -V'net:Suggests=net-tools'
 else ifeq ($(ARCH),kfreebsd)
 	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
 else ifeq ($(ARCH),hurd)

## ifupdown 0.8.10ubuntu1

=== Makefile ===
VERSION ?= 0.7
CFLAGS ?= -Wall -W -Wno-unused-parameter -g -O2
ARCH ?= linux

BASEDIR ?= $(DESTDIR)

CFLAGS += -std=c99 -D_DEFAULT_SOURCE
CFLAGS += -D'IFUPDOWN_VERSION="$(VERSION)"'

DEFNFILES := inet.defn ipx.defn inet6.defn can.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) archcommon.o arch$(ARCH).o meta.o link.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

DEFNFILES += meta.defn link.defn

all : ifup ifdown ifquery ifup.8 ifdown.8 ifquery.8 interfaces.5

.PHONY : all clean distclean
.SECONDARY: link.c ipx.c can.c meta.c inet6.c inet.c

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln -s /sbin/ifup ${BASEDIR}/sbin/ifdown
	ln -s /sbin/ifup ${BASEDIR}/sbin/ifquery
	install -D -m 0755 settle-dad.sh $(BASEDIR)/lib/ifupdown/settle-dad.sh
	install -D -m 0755 wait-for-ll6.sh $(BASEDIR)/lib/ifupdown/wait-for-ll6.sh

clean :
	rm -f *.o $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
	-rm -f ./tests/testcase.* ./tests/up*

distclean : clean

ifup: $(OBJ)
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(OUTPUT_OPTION)

ifdown: ifup
	ln -sf ifup ifdown

ifquery: ifup
	ln -sf ifup ifquery

ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
check:
	@echo running ./tests/testbuild-$(ARCH)
	@if ! exec ./tests/testbuild-$(ARCH); then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi

interfaces.5: interfaces.5.pre $(MAN)
	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	

ifdown.8 ifquery.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@

%.8.ps: %.8
	groff -mandoc -Tps $< > $@

%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@

%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

=== debian/changelog ===
ifupdown (0.8.10ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of
      bridges as it's not covering all the cases supported by the vlan and
      bridge hooks and so causes more harm than good at this point.
      (LP: #1295304)
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 24 Jan 2016 19:48:43 +0100

ifupdown (0.8.10) unstable; urgency=medium

  * Allow "hwaddress random" to generate a random MAC address.
  * Allow ifdown/ifquery when physical interface is not same as logical
    interface. 

 -- Guus Sliepen <guus@debian.org>  Fri, 22 Jan 2016 16:35:23 +0100

ifupdown (0.8.9) unstable; urgency=medium

  * It's network-online.target, not .service.
  * Do not run "ip link set down" on manual interfaces during "ifdown -a".
    Closes: #809166
  * Add the keywords "no-auto-down" and "no-scripts". Closes: #615130

 -- Guus Sliepen <guus@debian.org>  Thu, 21 Jan 2016 22:02:11 +0100

ifupdown (0.8.8ubuntu2) xenial; urgency=medium

  * inet{,6}.defn: Don't down an interface when stopping. This breaks use
    cases like LTSP which create a "manual" interfaces stanza to prevent
    NetworkManager or other management software from touching the
    interface of the remote root file system. In the past we had the
    check_network_file_systems() check in /etc/init.d/networking that papered
    over this misbehaviour, but that is not being done any more in
    networking.service. (Closes: #809166, LP: #1492546)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jan 2016 16:00:49 +0100

ifupdown (0.8.8ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of
      bridges as it's not covering all the cases supported by the vlan and
      bridge hooks and so causes more harm than good at this point.
      (LP: #1295304)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jan 2016 07:00:46 +0100

ifupdown (0.8.8) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)
  * ifup@.service: Avoid stopping on shutdown via stopping system-ifup.slice
    (changed behaviour in systemd 228). (Closes: #761909, LP: #1492546)

  [ Guus Sliepen ]
  * Remove quotes around TimeoutStartSec parameter. Closes: #810656

 -- Guus Sliepen <guus@debian.org>  Tue, 12 Jan 2016 23:50:29 +0100

ifupdown (0.8.7) unstable; urgency=medium

  * Impose a 5 minute timeout for starting network services.
    Closes: #318577, #810656
  * Give an error when trying to up a dhcp interface when no DHCP client is
    installed. Closes: #471926, #419139
  * Add a section in the manual about extensions provided by other packages.
    Closes: #482405, #597274
  * Use absolute paths to binaries called by ifup/ifdown. Closes: #365114
  * Return an error when trying to ifup/ifdown/ifquery an unknown interface
    (unless it is ignored due to --allow or --exclude).
  * Ignore SIGPIPE. Closes: #311054
  * Update the bridge example. Closes: #488315
  * Use the onlink option when adding a gateway route. Closes: #378506
  * Also allow the metric option for tunnels and IPv6 interfaces.

 -- Guus Sliepen <guus@debian.org>  Mon, 11 Jan 2016 22:58:44 +0100

ifupdown (0.8.6ubuntu2) xenial; urgency=medium

  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Jan 2016 08:13:08 +0100

ifupdown (0.8.6ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of bridges as it's not
      covering all the cases supported by the vlan and bridge hooks and so
      causes more harm than good at this point. (LP: #1295304)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
  * Removed Breaks: on udev fixes upgrade failure. (LP: #1531685)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Jan 2016 11:45:47 +0100

ifupdown (0.8.6) unstable; urgency=medium

  * Remove the Breaks: udev (<< 228-3~) to work around a bug in udev's prerm
    script. Closes: #809658, #809743
  * Run ip link up on manual interfaces, but ignore any errors.
  * Use sysctl to set the IPv6-specific MTU of an interface. Closes: #809714



=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9.20120410~), dh-systemd
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ifupdown.git

Package: ifupdown
Architecture: any
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends},
 lsb-base, adduser,
 iproute2 [linux-any], net-tools [kfreebsd-any], inetutils-tools [hurd-any]
Recommends: isc-dhcp-client | dhcp-client
Suggests: ppp, rdnssd, ${net:Suggests}
Replaces: systemd (<< 228-3~)
Breaks: systemd (<< 228-3~)
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
#!/usr/bin/make -f

export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
export CFLAGS := -Wall -W -Wno-unused-parameter $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -D'IFUPDOWN_VERSION="$(VERSION)"'
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
ifeq "$(origin CC)" "default"
export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
endif
export ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DESTDIR := debian/$(shell dh_listpackages)

ifeq "$(ARCH)" "kfreebsd"
CFLAGS += -D'LO_IFACE="lo0"'
endif

%:
	dh $@ --parallel --with systemd

override_dh_installinit:
	dh_installinit --name=networking --no-start
	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
	dh_installinit --name=network-interface-container --noscripts
	dh_installinit --name=network-interface-security --noscripts
	dh_installinit --name=network-interface --noscripts
	dh_installinit --name=networking --noscripts
	dh_installinit --name=ifup@ --noscripts

override_dh_installifupdown:
	dh_installifupdown --name=upstart

override_dh_auto_clean:
	$(MAKE) clean

override_dh_systemd_enable:
	dh_systemd_enable --name=networking

override_dh_installudev:
	dh_installudev --priority=80

## ifupdown 0.8.10ubuntu1.4

=== debian/changelog ===
ifupdown (0.8.10ubuntu1.4) xenial; urgency=medium

  * We are not even reading the contents of the per-interface state files
    when running ifquery, so there is no need to lock them. Not locking
    will allow ifquery to be called recursively from ifup and ifdown.
    (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 27 Apr 2018 08:56:12 -0400

ifupdown (0.8.10ubuntu1.3) xenial; urgency=medium

  [ Wido den Hollander ]
  * Wait properly for Link-Local Address to go through DAD.
    (LP: #1447715)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 17 Apr 2018 17:29:54 -0400

ifupdown (0.8.10ubuntu1.2) xenial; urgency=medium

  * networking.service: exclude loopback device lo in ExecStop (LP: #1629972)
    This prevents the stop of networking.service from taking down the
    loopback 'lo' interface.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 30 Nov 2016 12:23:26 -0500

ifupdown (0.8.10ubuntu1.1) xenial; urgency=medium

  * Fix a crash when multiple interfaces are specified for no-scripts
    (LP: #1618726)

 -- Richard Laager <rlaager@wiktel.com>  Wed, 31 Aug 2016 02:29:11 -0500

## ifupdown 0.8.13~bpo8+1

=== debian/changelog ===
ifupdown (0.8.13~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie.

 -- Guus Sliepen <guus@debian.org>  Tue, 05 Jul 2016 13:28:24 +0000

ifupdown (0.8.13) unstable; urgency=medium

  * Fix test suite on kFreeBSD. Closes: #826062
  * Check the return value of chdir() and ftruncate().
  * Clarify that scripts can be run with IFACE set to "--all".
    Closes: #826000

 -- Guus Sliepen <guus@debian.org>  Sat, 04 Jun 2016 14:08:54 +0200

ifupdown (0.8.12) unstable; urgency=medium

  * Add "nodad" to ip -6 addr add if dad-attempts is set to zero.
    Closes: #824686
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 19 May 2016 15:36:02 +0200

ifupdown (0.8.11) unstable; urgency=medium

  [ Wido den Hollander ]
  * Wait properly for Link-Local Address to go through DAD.

  [ Imre Deak ]
  * Fix read_all_state when no state file exists. Closes: 819287

  [ Arthur Gautier ]
  * Implement link naming (ip link set alias)

  [ Martin Pitt <martin.pitt@ubuntu.com> ]
  * Add autopkgtest for "allow-hotplug" interfaces. Closes: #814312

  [ Guus Sliepen ]
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 21 Apr 2016 18:22:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 3.9.6
+Maintainer: Guus Sliepen <guus@debian.org>
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9.20120410~), dh-systemd
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ifupdown.git

## ifupdown 0.8.13ubuntu2

=== debian/changelog ===
ifupdown (0.8.13ubuntu2) yakkety; urgency=medium

  * Fix a crash when multiple interfaces are specified for no-scripts
    (LP: #1618726)

 -- Richard Laager <rlaager@wiktel.com>  Wed, 31 Aug 2016 02:26:31 -0500

ifupdown (0.8.13ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of
      bridges as it's not covering all the cases supported by the vlan and
      bridge hooks and so causes more harm than good at this point.
      (LP: #1295304)
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jun 2016 12:25:04 +0200

## ifupdown 0.8.13ubuntu3

=== debian/changelog ===
ifupdown (0.8.13ubuntu3) yakkety-proposed; urgency=medium

  * networking.service: exclude loopback device lo in ExecStop (LP: #1629972)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 14 Oct 2016 13:53:32 -0400

## ifupdown 0.8.16ubuntu1

=== debian/changelog ===
ifupdown (0.8.16ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of bridges as it's not
      covering all the cases supported by the vlan and bridge hooks and so
      causes more harm than good at this point.  (LP: #1295304)
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)

  Changes from Debian packaging git:

  [ Guus Sliepen ]
  * Add a bug-script to automatically add /etc/network/interfaces etc. to reportbug output.
  * Export $CLASS to scripts.
  * Add a few missing voids for functions that do not take any parameters.

  [ Scott Moser ]
  * networking.service: exclude loopback device lo in ExecStop.

  [ Martin Pitt ]
  * debian/ifup@.service: Start after device is up

 -- Guus Sliepen <guus@debian.org>  Mon, 28 Nov 2016 14:40:17 +0100

ifupdown (0.8.16) unstable; urgency=medium

  * Fix FTBFS due to testcases using the host's state information.

 -- Guus Sliepen <guus@debian.org>  Thu, 22 Sep 2016 13:20:18 +0200

ifupdown (0.8.15) unstable; urgency=medium

  * Fix ifdown complaining about vlan_id1. Closes: #838312
  * Add testcases for ifdown. 

 -- Guus Sliepen <guus@debian.org>  Thu, 22 Sep 2016 11:53:52 +0200

ifupdown (0.8.14) unstable; urgency=medium

  [ Benjamin Drung ]
  * Add InfiniBand parititon key support. Closes: #830212

  [ Richard Laager ]
  * Fix a crash when multiple interfaces are specified for no-scripts.
    Closes: #837732

  [ Bjørn Mork ]
  * Ignore link state when bringing up hotplug interfaces at boot.
    Closes: #814785, #834820

  [ Guus Sliepen ]
  * Add a test case for the no-scripts keyword.
  * Flush automatically assigned addresses on ifup when accept_ra=0.

 -- Guus Sliepen <guus@debian.org>  Sat, 17 Sep 2016 11:40:39 +0200

ifupdown (0.8.13ubuntu4) zesty; urgency=medium

  * no-change rebuild for upload to zesty.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Oct 2016 12:40:08 -0400

## ifupdown 0.8.16ubuntu2

=== debian/changelog ===
ifupdown (0.8.16ubuntu2) artful; urgency=medium

  * Drop obsolete upstart integration.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Aug 2017 18:39:14 +0100

## ifupdown 0.8.16ubuntu2.1

=== debian/changelog ===
ifupdown (0.8.16ubuntu2.1) artful; urgency=medium

  * We are not even reading the contents of the per-interface state files
    when running ifquery, so there is no need to lock them. Not locking
    will allow ifquery to be called recursively from ifup and ifdown.
    (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 27 Apr 2018 08:53:27 -0400

## ifupdown 0.8.17ubuntu1

=== debian/changelog ===
ifupdown (0.8.17ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.
    - Resolve conflicts with newer bridge-utils.  LP: #1756846.
  * Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
    - Drop obsolete upstart integration.
  * Dropped changes, included in Debian:
    - networking.service: exclude loopback device lo in ExecStop.
    - Export $CLASS to scripts.
    - Add a few missing voids for functions that do not take any parameters.
    - Add a bug-script to automatically add /etc/network/interfaces etc.  to
      reportbug output.
    - debian/ifup@.service: Start after device is up
  * Dropped changes, superseded in Debian:
    - disabled upping of bridges: this is now handled exclusively through
      ifupdown, bridge-utils hook no longer handles this at all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Mar 2018 14:53:25 -0700

ifupdown (0.8.17) unstable; urgency=medium

  [ Scott Moser ]
  * Don't bring down the loopback interface when networking.service stops.
    Closes: #841106, #841107

  [ Guus Sliepen ]
  * Export $CLASS to scripts.
  * Add a bug-script.
  * Depend on freebsd-net-tools instead of net-tools.
  * Also configure VLANs on bridge interfaces (see #818849).
  * Improve manpage: simplify example, add more section headers.
    Closes: #840579
  * Provide IPv6 examples in /u/s/d/ifupdown/examples/network-interfaces.
    Closes: #703568
  * Use -4 option for IPv4 dhclient. Closes: #844592

  [ Martin Pitt ]
  * ifup@.service: start After the corresponding
    sys-subsystem-net-devices device.

 -- Guus Sliepen <guus@debian.org>  Tue, 10 Jan 2017 17:25:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Guus Sliepen <guus@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9.20120410~), dh-systemd
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
@@ -11,7 +12,7 @@
 Architecture: any
 Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends},
  lsb-base, adduser,
- iproute2 [linux-any], net-tools [kfreebsd-any], inetutils-tools [hurd-any]
+ iproute2 [linux-any], freebsd-net-tools [kfreebsd-any], inetutils-tools [hurd-any]
 Recommends: isc-dhcp-client | dhcp-client
 Suggests: ppp, rdnssd, ${net:Suggests}
 Replaces: systemd (<< 228-3~)

## ifupdown 0.8.17ubuntu1.1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	rm -f *.o $(patsubst %.defn,%.c,$(DEFNFILES)) *~
 	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
 	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
-	-rm -f ./tests/testcase.* ./tests/up*
+	-rm -f ./tests/*/*-res*
 
 distclean : clean
 
@@ -47,7 +47,7 @@
 	ln -sf ifup ifquery
 
 ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-check:
+check: ifup ifdown
 	@echo running ./tests/testbuild-$(ARCH)
 	@if ! exec ./tests/testbuild-$(ARCH); then \
 	     echo '=================================================='; \

=== debian/changelog ===
ifupdown (0.8.17ubuntu1.1) bionic; urgency=medium

  * We are not even reading the contents of the per-interface state files
    when running ifquery, so there is no need to lock them. Not locking
    will allow ifquery to be called recursively from ifup and ifdown.
    (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 27 Apr 2018 08:00:07 -0400

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 	dh_installinit --name=networking --noscripts
 	dh_installinit --name=ifup@ --noscripts
 
-override_dh_installifupdown:
-	dh_installifupdown --name=upstart
-
 override_dh_auto_clean:
 	$(MAKE) clean
